<!doctype html>
<html lang="en">

	<head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-44179805-2"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-44179805-2');
        </script>

        <meta charset="utf-8">

		<title>Beginners guide to blueprints</title>

		<meta name="description" content="Learn how to create architectural blueprints.">
		<meta name="author" content="Eric D. Schabell">

		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.min.css">
		<link rel="stylesheet" href="css/theme/default.css" id="theme">

		<!-- For syntax highlighting -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- If the query includes 'print-pdf', include the PDF print sheet -->
		<script>
			if( window.location.search.match( /print-pdf/gi ) ) {
				var link = document.createElement( 'link' );
				link.rel = 'stylesheet';
				link.type = 'text/css';
				link.href = 'css/print/pdf.css';
				document.getElementsByTagName( 'head' )[0].appendChild( link );
			}
		</script>
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
                <section data-background="images/backgrounds/redhat-title.png">
                    <div style="width: 1456px; height: 500px;">
						<h1>Blueprints</h1>
						<h3>How to create your</h3>
						<h3>first architectural blueprint</h3>
                    </div>
					<div style="width: 850px; height: 400px;" align="right">
						<div style="width: 500px; height: 200px; text-align: left">
							Eric D. Schabell<br>
							Portfolio Architect Director<br/>
							@ericschabell
						</div>
					</div>
                </section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h1>Step 1</h1>
					</div>
					<div style="width: 1056px; height: 250px; text-align: left">
						<h3>Use Case Idea:</h3>
						Something like <i>Omnichannel integration</i>, or <i>Hybrid multicloud management</i> as the
						baseline for starting your blueprint. This idea representing all the focus of research and
						diagramming efforts.
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Let's take a look where to start gathering research material for this use case...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h1>Step 2</h1>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Gather customer reference implementations from sources:<br /> <br />
						<uL>
							<li>Products involved in use case; BU TMM, PMM, PM</li>
							<li>Search Go Live repositories</li>
							<li>Contact field team; SA, AE, Architects, Consultants</li>
							<li>Goal is to find three (3) applicable implementations</li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Let's examine what makes a successful blueprint project delivery...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h1>Step 3</h1>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Blueprint considered done after delivery of following:<br /> <br />
						<uL>
							<li>Portfolio architecture blueprint slides</li>
							<li>Allegro sales recording of blueprint slides</li>
							<li>Solution brief posted online</li>
							<li>Company office wide digital signage announcement</li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Let's take a look at the templates available to get started...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h1>Step 4</h1>
					</div>
					<div style="width: 1056px; height: 400px; text-align: left">
						The following content templates are available in
						<a href="https://drive.google.com/open?id=18N2AGkl4LLh1IAT_Xhnv9QRMLPpTwbgf" target="_blank">
							Architecture Blueprint Templates</a> directory:<br /> <br />
						<uL>
							<li><a href="https://docs.google.com/presentation/d/1lELAhcLC_e6rtGJHRoQAYrWDP7n1LdIMzXDY76gEBgo" target="_blank">Portfolio architecture blueprint, internal (includes research)</a></li>
							<li><a href="https://docs.google.com/presentation/d/1v4YciUAGUwFwq5wYiwviviE3856edSPA5jY9cXi1zgc" target="_blank">Portfolio architecture blueprint, public (excludes research)</a></li>
							<li><a href="https://docs.google.com/document/d/1AWNWszIDmTEumMStS4aH2pXikGdfqdgoNXFtdmLvOu8" target="_blank">Solution brief draft document</a></li>
							<li><a href="https://docs.google.com/document/d/1Er5XilJFNJleVD3mSkgiDvVmRa7iNktz1f1w-aYwUyw" target="_blank">Official solution brief (location link)</a></li>
							<li><a href="https://docs.google.com/presentation/d/1G4PsEwn3QjqXjZsnls-CPrH5XJTLdgtfTsL3ayvZo40" target="_blank">Digital signage example</a></li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Next up, look at each starting with internal blueprint deck...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px">
						<h1>Blueprint</h1>
						<h3>Internal slides</h3>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Create copy of
						<a href="https://docs.google.com/presentation/d/1lELAhcLC_e6rtGJHRoQAYrWDP7n1LdIMzXDY76gEBgo" target="_blank">internal template</a>,
						complete sections:<br /> <br />
						<ul>
							<li>intro definition with storytelling image</li>
							<li>add implementation research into last sections (confidential)</li>
							<li>add challenges noted from research</li>
							<li>create logical, schematic, and detail diagrams</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Next up, public blueprint deck...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px">
						<h1>Blueprint</h1>
						<h3>Public slides</h3>
					</div>
					<div style="width: 1056px; height: 350px; text-align: left">
						Create copy of
						<a href="https://docs.google.com/presentation/d/1v4YciUAGUwFwq5wYiwviviE3856edSPA5jY9cXi1zgc" target="_blank">public template</a>,
						complete sections:<br /> <br />
						<uL>
							<li>deck is cross linked to internal blueprint deck</li>
							<li>any updates to your internal deck, public slides only, stay in sync</li>
							<li>remove all existing slides from your copy</li>
							<li>cut and paste your internal blueprint public slides and choose <i>LINK</i> option</li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Next up, solution brief draft...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h1>Solution brief</h1>
					</div>
					<div style="width: 1056px; height: 400px; text-align: left">
						Create copy of
						<a href="https://docs.google.com/document/d/1AWNWszIDmTEumMStS4aH2pXikGdfqdgoNXFtdmLvOu8" target="_blank">solution brief draft document</a>,
						complete with these suggestions in mind:<br /> <br />
						<uL>
							<li>before completing solution brief, create Allegro recording</li>
							<li>Allegro sales recording is video presentation of blueprint slides</li>
							<li>for solution brief, start with publishing online series on blueprint</li>
							<li>helps put ideas in order before writing out solution brief</li>
							<li>complete solution brief and work with portfolio marketing for online approval</li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Next up, official solution brief template...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px">
						<h1>Solution brief</h1>
						<h3>Official online location</h3>
					</div>
					<div style="width: 1056px; height: 370px; text-align: left">
						Create copy of
						<a href="https://docs.google.com/document/d/1Er5XilJFNJleVD3mSkgiDvVmRa7iNktz1f1w-aYwUyw" target="_blank">official solution brief</a>,
						complete as follows:<br /> <br />
						<uL>
							<li>this document links to official online location once solution brief approved and published</li>
							<li>add link to online document</li>
							<li>if not done already, create directory in team repository</li>
							<li>place this and all previous completed content in this new directory</li>
						</uL>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Finally, a digital signage template...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px">
						<h1>Signage</h1>
						<h3>Digital signage</h3>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Create copy of
						<a href="https://docs.google.com/presentation/d/1G4PsEwn3QjqXjZsnls-CPrH5XJTLdgtfTsL3ayvZo40" target="_blank">Digital signage example</a>,
						and complete:<br /> <br />
						<uL>
							<li>contains example slide and templates acceptable for use</li>
							<li>complete and submit to digital signage team (see example slide speaker notes)</li>
							<li>runs world wide for 2 weeks on office digital signs</li>
						</uL>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px">
						<h1>Customers</h1>
						<h3>Submit candidate customers</h3>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						If you have a customer implementation as a candidate blueprint creation, submit by doing the
						following actions:<br /> <br />
						<uL>
							<li>complete doc: <a href="https://docs.google.com/document/d/1tqwLL1KI4XHGn6RnMfOhqZ4zKA3entkrB5hy16_TQxo" target="_blank">Portfolio Architecture Customer Template</a></li>
							<li>Submit to drive folder: <a href="https://drive.google.com/open?id=12DDNurFdajNjzAZqZBggjzjXNIuEVsMQ" target="_blank"><i>CANDIDATE UPLOAD</i></a></li>

						</uL>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 100px">
						<img width="100%" src="images/references.jpg">
					</div>
					<div style="width: 1056px; height: 100px">
					</div>
					<div style="width: 1056px; height: 600px;">
						<ul>
							<li><a href="https://drive.google.com/open?id=18N2AGkl4LLh1IAT_Xhnv9QRMLPpTwbgf" target="_blank">
								Architecture Blueprint Templates</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-template" target="_blank">Blueprint beginners guide project</a></li>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling" target="_blank">Architecture diagram tooling</a></li>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-workshops" target="_blank">Architecture diagram tooling workshop</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-examples" target="_blank">Architecture tooling examples repository</a></li>
						</ul>
					</div>
				</section>

				<section data-background="images/questions.png">
					<div align="right"><h2>Thank you</h2></div>
				</section>

			</div>
		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.min.js"></script>

		<script>

			// Full list of configuration options available here:
			// https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
				transition: Reveal.getQueryHash().transition || 'default', // default/cube/page/concave/zoom/linear/fade/none

				// Parallax scrolling
				// parallaxBackgroundImage: 'https://s3.amazonaws.com/hakim-static/reveal-js/reveal-parallax-1.jpg',
				// parallaxBackgroundSize: '2100px 900px',

				// Optional libraries used to extend on reveal.js
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } },
					{ src: 'plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } }
				]
			});

		</script>

	</body>
</html>
